# Uses of Enum
org.apache.qpid.proton.amqp.transport.SenderSettleMode

Packages that use SenderSettleMode
Package
Description
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of SenderSettleMode in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return SenderSettleMode
Modifier and Type
Method
Description
`SenderSettleMode`
Attach.`getSndSettleMode()`
`static SenderSettleMode`
SenderSettleMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SenderSettleMode`
SenderSettleMode.`valueOf(UnsignedByte value)`
Returns the enum constant of this type with the specified name.
`static SenderSettleMode[]`
SenderSettleMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.qpid.proton.amqp.transport with parameters of type SenderSettleMode
Modifier and Type
Method
Description
`void`
Attach.`setSndSettleMode(SenderSettleMode sndSettleMode)`

## Uses of SenderSettleMode in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return SenderSettleMode
Modifier and Type
Method
Description
`SenderSettleMode`
Link.`getRemoteSenderSettleMode()`
`SenderSettleMode`
Link.`getSenderSettleMode()`
Methods in org.apache.qpid.proton.engine with parameters of type SenderSettleMode
Modifier and Type
Method
Description
`void`
Link.`setRemoteSenderSettleMode(SenderSettleMode remoteSenderSettleMode)`
Deprecated.
`void`
Link.`setSenderSettleMode(SenderSettleMode senderSettleMode)`
Sets the sender settle mode.

## Uses of SenderSettleMode in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return SenderSettleMode
Modifier and Type
Method
Description
`SenderSettleMode`
LinkImpl.`getRemoteSenderSettleMode()`
`SenderSettleMode`
LinkImpl.`getSenderSettleMode()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type SenderSettleMode
Modifier and Type
Method
Description
`void`
LinkImpl.`setRemoteSenderSettleMode(SenderSettleMode remoteSenderSettleMode)`
`void`
LinkImpl.`setSenderSettleMode(SenderSettleMode senderSettleMode)`